# Generated by Django 3.2 on 2023-10-22 09:34

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0029_datakependudukan'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataPemerintahan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('luas_wilayah', models.IntegerField(null=True)),
                ('rt', models.IntegerField(null=True)),
                ('dusun', models.IntegerField(null=True)),
                ('batas_utara', models.TextField(null=True)),
                ('batas_selatan', models.TextField(null=True)),
                ('batas_barat', models.TextField(null=True)),
                ('batas_timur', models.TextField(null=True)),
                ('jml_aparatur_kampung', models.IntegerField(null=True)),
                ('pendidikan_aparatur_sd', models.IntegerField(null=True)),
                ('pendidikan_aparatur_smp', models.IntegerField(null=True)),
                ('pendidikan_aparatur_sma', models.IntegerField(null=True)),
                ('pendidikan_aparatur_d3', models.IntegerField(null=True)),
                ('pendidikan_aparatur_s1', models.IntegerField(null=True)),
                ('jml_basmuskam', models.IntegerField(null=True)),
                ('pendidikan_bamuskam_sd', models.IntegerField(null=True)),
                ('pendidikan_bamuskam_smp', models.IntegerField(null=True)),
                ('pendidikan_bamuskam_sma', models.IntegerField(null=True)),
                ('pendidikan_bamuskam_d3', models.IntegerField(null=True)),
                ('pendidikan_bamuskam_s1', models.IntegerField(null=True)),
                ('jml_ketua_rt', models.IntegerField(null=True)),
                ('jml_kepala_dusun', models.IntegerField(null=True)),
                ('jml_Babinkamtibmas', models.IntegerField(null=True)),
                ('jml_Babinsa', models.IntegerField(null=True)),
                ('kantor', models.TextField(null=True)),
                ('status_kantor', models.TextField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
